Bug 727933 - Installing onto an EFI system from an EFI USB stick fails when trying to use /boot/efi from the USB
Installing onto an EFI system from an EFI USB stick fails when trying to use ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F16Alpha-accepted/F16AlphaFreezeExcept F16Beta/F16BetaBlocker
  Show dependency treegraph
 
Reported: 2011-08-03 13:29 EDT by Brian Lane
Modified: 2011-08-18 18:25 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-16.14.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-18 18:25:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (25.01 KB, text/plain)
2011-08-03 13:29 EDT, Brian Lane
no flags Details
storage.log (260.98 KB, text/plain)
2011-08-03 13:30 EDT, Brian Lane
no flags Details

  None (edit)
Description Brian Lane 2011-08-03 13:29:23 EDT
Description of problem:
Install to an EFI system using a bootable EFI stick created with livecd-iso-to-disk
Comment 1 Brian Lane 2011-08-03 13:29:56 EDT
Created attachment 516552 [details]
anaconda.log
Comment 2 Brian Lane 2011-08-03 13:30:19 EDT
Created attachment 516553 [details]
storage.log
Comment 3 Adam Williamson 2011-08-03 20:37:11 EDT
EFI is in the Beta criteria, not Alpha; so re-proposing these bugs as Beta blockers and Alpha NTH (if you can get fixes in time I'd certainly be in favour of taking them into the anaconda rebuild for the next Alpha compose).
Comment 4 Tim Flink 2011-08-04 17:12:45 EDT
Assuming that we're thinking of the same beta release criterion [1]:

The installer must boot and run on systems using EFI other than Apple Macs 

That doesn't seem to hit squarely (bug is for live image off USB) but I do think that it hits the spirit of the criterion.

Does this affect all live media on EFI machines or just the liveusb?

[1] http://fedoraproject.org/wiki/Fedora_16_Beta_Release_Criteria
Comment 5 Tim Flink 2011-08-05 14:43:25 EDT
Discussed in the 2011-08-05 blocker review meeting. Accepted as NTH [1] for Fedora 16 alpha. Non-invasive patch out for review, update should be available soon.

[1] http://fedoraproject.org/wiki/QA:SOP_nth_bug_process
Comment 6 Fedora Update System 2011-08-05 16:27:15 EDT
anaconda-16.14.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.2-1.fc16
Comment 7 Fedora Update System 2011-08-06 00:25:06 EDT
Package anaconda-16.14.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-16.14.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/anaconda-16.14.2-1.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-08-09 00:25:59 EDT
anaconda-16.14.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.3-1.fc16
Comment 9 Fedora Update System 2011-08-11 11:50:06 EDT
anaconda-16.14.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.4-1.fc16
Comment 10 Fedora Update System 2011-08-15 12:55:53 EDT
anaconda-16.14.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.5-1.fc16
Comment 11 Fedora Update System 2011-08-16 16:15:04 EDT
anaconda-16.14.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.6-1.fc16
Comment 12 Fedora Update System 2011-08-18 18:24:36 EDT
anaconda-16.14.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.